Uploaded image for project: 'Weld'
  1. Weld
  2. WELD-985

Make Tomcat 6 and Jetty 6 and 7 specific configuration obsolete

    Details

      Description

      According to the documentation:
      http://docs.jboss.org/weld/reference/1.1.0.Final/en-US/html_single/#d0e5286

      We have to add extra configuration files to deploy to certain appservers and certain versions.
      But the existence of those files can sometimes create issues on other appservers.
      For example, jetty 6 needs an WEB-INF/jetty-env.xml file (and Jetty 7 needs another version of that file).
      "Maven profiles" are not a solution, see WELD-984.

      Since weld-servlet's bootstrap actually detects what appserver and what version is in play, it should be thoroughly investigated if weld can't do that for us
      and only configure the content of those extra files if the correct appserver/version is being used.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  mkouba Martin Kouba
                  Reporter:
                  ge0ffrey Geoffrey De Smet
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  3 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: